<template>
   <div class="backdrop">
      <div class="modal_block">
         <slot> </slot>
         <button class="close" @click="close">Zamknij</button>
      </div>
   </div>
</template>

<script setup lang="ts">
const emit = defineEmits(["close"])
function close() {
   emit("close")
}
</script>

<style scoped>
.modal_block {
   width: 400px;
   padding: 20px;
   background-color: white;
   border-radius: 10px;
   margin: 100px auto;
   bottom: 50%;
   text-align: center;
   position: fixed;
   left: 50%;
   transform: translate(-50%, -50%);
   line-height: 2rem;
}
.backdrop {
   top: 0;
   position: fixed;
   background-color: rgba(0, 0, 0, 0.5);
   width: 100%;
   height: 100%;
   z-index: 1000;
}
h1 {
   color: #03cfb4;
   border: 0;
   padding: 0;
}
.close {
   border: 1px solid var(--border-color);
   border-radius: 10px;
   width: 20%;
   height: 1.5rem;
   background-color: var(--toolbar-background);
   transition: 0.3s;
}
.close:hover {
   background-color: rgb(231, 231, 231);
}
</style>
